com.google.gwt.event.dom.client

## Interface HasGestureStartHandlers

All Superinterfaces:
  HasHandlers

All Known Subinterfaces:
  HasAllGestureHandlers

All Known Implementing Classes:
  Anchor, Audio, Button, ButtonBase, Canvas, CheckBox, CustomButton, DialogBox.CaptionImpl, DoubleBox, FileUpload, FocusPanel, FocusWidget, HTML, Image, InlineHTML, InlineLabel, IntegerBox, Label, ListBox, LongBox, MediaBase, PasswordTextBox, PushButton, RadioButton, ResetButton, RichTextArea, SimpleCheckBox, SimpleRadioButton, SubmitButton, TextArea, TextBox, TextBoxBase, ToggleButton, ValueBox, ValueBoxBase, Video

    public interface HasGestureStartHandlers
    extends HasHandlers

A widget that implements this interface provides registration for `GestureStartHandler` instances.

### Method Summary

All Methods Instance Methods Abstract Methods
`HandlerRegistration` `addGestureStartHandler(GestureStartHandler handler)` Adds a `GestureStartEvent` handler.

### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

`fireEvent`

### Method Detail

#### addGestureStartHandler

    HandlerRegistration addGestureStartHandler(GestureStartHandler handler)

Adds a `GestureStartEvent` handler.

Parameters:
  `handler` - the gesture start handler
Returns:
  `HandlerRegistration` used to remove this handler